// subPackageA/page/pages/moneyBuyCouponRecords/moneyBuyCouponRecords.js
const wxService = require('../../../../utils/wxService')
const util = require('../../../../utils/util')
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    recordsList : [],
    pageSize : 10,
    pageNo : 1,
    totalPage : 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    this.getBuyCouponRecords();
  },

  //获取优惠券购买记录
  getBuyCouponRecords(refresh){
    let pageNo = this.data.pageNo , pageSize = this.data.pageSize;
    
    if(refresh){
      wx.stopPullDownRefresh();
      wx.showToast({
        title: '刷新成功',
      });
    }
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.data.pageNo = 1;
    this.data.recordsList = [];
    this.getBuyCouponRecords(true);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.pageNo < this.data.totalPage){
      this.data.pageNo ++;
      this.getBuyCouponRecords();
    }
    else{
      if(this.data.pageNo > 1){
        wx.showToast({
          title: '暂无更多数据了~',
          icon :' none'
        });
      }
    }
  },
})